<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class GrandRestaurant_Templates_Source extends Elementor\TemplateLibrary\Source_Base {

	/**
	 * Template prefix
	 *
	 * @var string
	 */
	protected $template_prefix = 'grandrestaurant_';

	/**
	 * Return templates prefix
	 *
	 * @return [type] [description]
	 */
	public function get_prefix() {
		return $this->template_prefix;
	}

	public function get_id() {
		return 'grandrestaurant-templates';
	}

	public function get_title() {
		return __( 'Grand Restaurant Templates', 'grandrestaurant-elementor' );
	}

	public function register_data() {}

	public function get_items( $args = array() ) {
		
		$templates = array();

		$templates_data = array(
			1 	=> array(
				'template_id'      	=> $this->template_prefix .'1',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Home 1',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_1.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/',
			),
			2 	=> array(
				'template_id'      	=> $this->template_prefix .'2',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Home 2',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_2.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/home-2/',
			),
			3 	=> array(
				'template_id'      	=> $this->template_prefix .'3',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Home 3',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_3.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/home-3/',
			),
			4 	=> array(
				'template_id'      	=> $this->template_prefix .'4',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Home 4',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_4.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/home-4/',
			),
			5 	=> array(
				'template_id'      	=> $this->template_prefix .'5',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Home 5',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_5.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/home-5/',
			),
			6 	=> array(
				'template_id'      	=> $this->template_prefix .'6',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Home 6',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_6.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/home-6/',
			),
			7 	=> array(
				'template_id'      	=> $this->template_prefix .'7',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Menu Mixed',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_7.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/menu-mixed/',
			),
			8 	=> array(
				'template_id'      	=> $this->template_prefix .'8',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Menu Classic',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_8.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/menu-classic/',
			),
			9 	=> array(
				'template_id'      	=> $this->template_prefix .'9',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Menu Grid',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_9.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/menu-grid/',
			),
			10 	=> array(
				'template_id'      	=> $this->template_prefix .'10',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Menu Grid Image',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_10.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/menu-grid-image/',
			),
			11 	=> array(
				'template_id'      	=> $this->template_prefix .'11',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Menu Parallax',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_11.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/menu-parallax/',
			),
			12 	=> array(
				'template_id'      	=> $this->template_prefix .'12',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_12.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/about-us/',
			),
			13 	=> array(
				'template_id'      	=> $this->template_prefix .'13',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Our Chefs',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_13.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/our-chefs/',
			),
			14 	=> array(
				'template_id'      	=> $this->template_prefix .'14',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Our Services',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_14.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('team'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/our-services/',
			),
			15 	=> array(
				'template_id'      	=> $this->template_prefix .'15',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Contact Multiple Maps',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_15.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/contact-multiple-maps/',
			),
			16 	=> array(
				'template_id'      	=> $this->template_prefix .'16',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Contact Parallax',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_16.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/contact-parallax/',
			),
			17 	=> array(
				'template_id'      	=> $this->template_prefix .'17',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Contact Gallery',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_17.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('reservation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/contact-gallery/',
			),
			18 	=> array(
				'template_id'      	=> $this->template_prefix .'18',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Blog Grid',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_18.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/blog-grid/',
			),
			19 	=> array(
				'template_id'      	=> $this->template_prefix .'19',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Blog Grid No Space',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_19.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/blog-grid-no-space/',
			),
			20 	=> array(
				'template_id'      	=> $this->template_prefix .'20',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Blog Masonry',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_20.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/blog-masonry/',
			),
			21 	=> array(
				'template_id'      	=> $this->template_prefix .'21',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Blog Metro',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_21.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/blog-metro/',
			),
			22 	=> array(
				'template_id'      	=> $this->template_prefix .'22',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Blog Metro No Space',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_22.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/blog-metro-no-space/',
			),
			23 	=> array(
				'template_id'      	=> $this->template_prefix .'23',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Blog Classic',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_23.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/blog-classic/',
			),
			24 	=> array(
				'template_id'      	=> $this->template_prefix .'24',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Blog List',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_24.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/blog-list/',
			),
			25 	=> array(
				'template_id'      	=> $this->template_prefix .'25',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 2 - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_25.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo2/',
			),
			26 	=> array(
				'template_id'      	=> $this->template_prefix .'26',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 3 & 4 - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_26.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo3/',
			),
			27 	=> array(
				'template_id'      	=> $this->template_prefix .'27',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 3 & 4 - Menu',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_27.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo3/menus/',
			),
			28 	=> array(
				'template_id'      	=> $this->template_prefix .'28',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 3 & 4 - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_28.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo3/about-us/',
			),
			29 	=> array(
				'template_id'      	=> $this->template_prefix .'29',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 3 & 4 - Gallery',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_29.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo3/gallery/',
			),
			30 	=> array(
				'template_id'      	=> $this->template_prefix .'30',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 3 & 4 - Find Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_30.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo3/find/',
			),
			31 	=> array(
				'template_id'      	=> $this->template_prefix .'31',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 5 - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_31.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo5/',
			),
			32 	=> array(
				'template_id'      	=> $this->template_prefix .'32',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 6 - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_32.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo6/',
			),
			33 	=> array(
				'template_id'      	=> $this->template_prefix .'33',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 6 - Menus',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_33.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo6/menus/',
			),
			34 	=> array(
				'template_id'      	=> $this->template_prefix .'34',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 6 - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_34.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo6/about-us/',
			),
			35 	=> array(
				'template_id'      	=> $this->template_prefix .'35',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 6 - Find Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_35.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo6/find-us/',
			),
			36 	=> array(
				'template_id'      	=> $this->template_prefix .'36',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 7 - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_36.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo7/',
			),
			37 	=> array(
				'template_id'      	=> $this->template_prefix .'37',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 7 - Menus',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_37.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo7/menus/',
			),
			38 	=> array(
				'template_id'      	=> $this->template_prefix .'38',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 7 - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_38.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo7/about-us/',
			),
			39 	=> array(
				'template_id'      	=> $this->template_prefix .'39',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 7 - Venue Functions',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_39.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('venue'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo7/venue-functions/',
			),
			40 	=> array(
				'template_id'      	=> $this->template_prefix .'40',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 7 - Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_40.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo7/contact/',
			),
			41 	=> array(
				'template_id'      	=> $this->template_prefix .'41',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 8 - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_41.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo8/',
			),
			42 	=> array(
				'template_id'      	=> $this->template_prefix .'42',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 8 - About',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_42.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo8/about/',
			),
			43 	=> array(
				'template_id'      	=> $this->template_prefix .'43',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 8 - Our Menus',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_43.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo8/our-menus/',
			),
			44 	=> array(
				'template_id'      	=> $this->template_prefix .'44',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 8 - Reservation',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_44.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('reservation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo8/reservation/',
			),
			45 	=> array(
				'template_id'      	=> $this->template_prefix .'45',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 8 - Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_45.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo8/contact/',
			),
			46 	=> array(
				'template_id'      	=> $this->template_prefix .'46',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 9 - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_46.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo9/',
			),
			47 	=> array(
				'template_id'      	=> $this->template_prefix .'47',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 9 - Our Menus',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_47.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo9/our-menus/',
			),
			48 	=> array(
				'template_id'      	=> $this->template_prefix .'48',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 9 - About',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_48.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo9/about/',
			),
			49 	=> array(
				'template_id'      	=> $this->template_prefix .'49',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 9 - Find Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_49.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo9/find-us/',
			),
			50 	=> array(
				'template_id'      	=> $this->template_prefix .'50',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 10 - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_50.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo10/',
			),
			51 	=> array(
				'template_id'      	=> $this->template_prefix .'51',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 10 - About',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_51.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo10/about-us/',
			),
			52 	=> array(
				'template_id'      	=> $this->template_prefix .'52',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 10 - Our Menus',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_52.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('menu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo10/our-menus/',
			),
			53 	=> array(
				'template_id'      	=> $this->template_prefix .'53',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 10 - Locate',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_53.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo10/locate/',
			),
			54 	=> array(
				'template_id'      	=> $this->template_prefix .'54',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 10 - Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_54.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',

				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo10/contact/',
			),
						
			//Adding navigation menu block templates
			501 => array(
				'template_id'      	=> $this->template_prefix .'501',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_501.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/header/header-transparent/',
			),
			502 => array(
				'template_id'      	=> $this->template_prefix .'502',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 2 - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_502.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo2/header/one-page-header-transparent/',
			),
			503 => array(
				'template_id'      	=> $this->template_prefix .'503',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 3 - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_503.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo3/header/header-solid/',
			),
			504 => array(
				'template_id'      	=> $this->template_prefix .'504',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 5 - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_504.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo5/header/header/',
			),
			505 => array(
				'template_id'      	=> $this->template_prefix .'505',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 6 - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_505.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo6/header/header-transparent/',
			),
			506 => array(
				'template_id'      	=> $this->template_prefix .'506',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 7 - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_506.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo7/header/header-transparent/',
			),
			507 => array(
				'template_id'      	=> $this->template_prefix .'507',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 8 - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_507.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo8/header/header-transparent/',
			),
			508 => array(
				'template_id'      	=> $this->template_prefix .'508',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 9 - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_508.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo9/header/header-transparent/',
			),
			509 => array(
				'template_id'      	=> $this->template_prefix .'509',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 10 - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_509.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo10/header/header-transparent/',
			),
			
			//Adding mega menu block templates
			601 => array(
				'template_id'      	=> $this->template_prefix .'601',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Mega Menu Home Grid',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_601.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/megamenu/demo-mega-menu/',
			),
			602 => array(
				'template_id'      	=> $this->template_prefix .'602',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Mega Menu Pages',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_602.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/megamenu/page-mega-menu/',
			),
			603 => array(
				'template_id'      	=> $this->template_prefix .'603',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Mega Menu Food Menus',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_603.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/megamenu/food-mega-menu/',
			),
			/*604 => array(
				'template_id'      	=> $this->template_prefix .'604',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Mega Menu Pages',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_604.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/pages-mega-menu/',
			),
			605 => array(
				'template_id'      	=> $this->template_prefix .'605',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Mega Menu Portfolio',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_605.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/portfolio-mega-menu/',
			),
			606 => array(
				'template_id'      	=> $this->template_prefix .'606',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Mega Menu Slider',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_606.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/slider-mega-menu/',
			),
			607 => array(
				'template_id'      	=> $this->template_prefix .'607',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Mega Menu Shop',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_607.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/craft/blog/megamenu/shop-mega-menu/',
			),*/
			
			//Adding footer block templates
			701 => array(
				'template_id'      	=> $this->template_prefix .'701',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_701.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/footer/footer/',
			),
			702 => array(
				'template_id'      	=> $this->template_prefix .'702',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 5 - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_702.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo5/footer/footer/',
			),
			703 => array(
				'template_id'      	=> $this->template_prefix .'703',
				'source'            => $this->get_id(),
				'title'             => 'Grand Restaurant Demo 6 - Footer 3',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_703.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo6/footer/footer/',
			),
			704 => array(
				'template_id'      	=> $this->template_prefix .'704',
				'source'            => $this->get_id(),
				'title'             => 'GrandRestaurant Demo 7 - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_704.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo7/footer/footer/',
			),
			705 => array(
				'template_id'      	=> $this->template_prefix .'705',
				'source'            => $this->get_id(),
				'title'             => 'GrandRestaurant Demo 8 - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_705.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo8/footer/footer/',
			),
			706 => array(
				'template_id'      	=> $this->template_prefix .'706',
				'source'            => $this->get_id(),
				'title'             => 'GrandRestaurant Demo 9 - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_706.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo9/footer/footer/',
			),
			707 => array(
				'template_id'      	=> $this->template_prefix .'707',
				'source'            => $this->get_id(),
				'title'             => 'GrandRestaurant Demo 10 - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/grandrestaurant/templates/screenshots/grandrestaurant_707.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1612181657 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/grandrestaurantv6/demo10/',
			),
		);
		
		if ( ! empty( $templates_data ) ) {
			foreach ( $templates_data as $template_data ) 
			{
				$templates_data['popularityIndex'] = 260;
				$templates_data['trendIndex'] = 125;
				
				$templates[] = $this->get_item( $template_data );
			}
		}

		if ( ! empty( $args ) ) {
			$templates = wp_list_filter( $templates, $args );
		}
		
		return $templates;
	}
	
	public function get_item( $template_data ) {
		return array(
			'template_id'     => $template_data['template_id'],
			'source'          => 'remote',
			'type'            => $template_data['type'],
			'subtype'         => $template_data['subtype'],
			'title'           => $template_data['title'],
			'thumbnail'       => $template_data['thumbnail'],
			'date'            => $template_data['date'],
			'author'          => $template_data['author'],
			'tags'            => $template_data['tags'],
			'isPro'           => ( 1 == $template_data['isPro'] ),
			'popularityIndex' => (int) $template_data['popularityIndex'],
			'trendIndex'      => (int) $template_data['trendIndex'],
			'hasPageSettings' => ( 1 == $template_data['hasPageSettings'] ),
			'url'             => $template_data['url'],
			'favorite'        => ( 1 == $template_data['favorite'] ),
			'accessLevel'     => 0,
		);
	}

	public function save_item( $template_data ) {
		return false;
	}

	public function update_item( $new_data ) {
		return false;
	}

	public function delete_template( $template_id ) {
		return false;
	}

	public function export_template( $template_id ) {
		return false;
	}

	public function get_data( array $args, $context = 'display' ) {
		$url	  = 'https://assets.themegoods.com/demo/grandrestaurant/templates/json/'.$args['template_id'].'.json';
		$response = wp_remote_get( $url, array( 'timeout' => 60 ) );
		$body     = wp_remote_retrieve_body( $response );
		$body     = json_decode( $body, true );
		$data     = ! empty( $body['content'] ) ? $body['content'] : false;
		
		$result = array();

		$result['content']       = $this->replace_elements_ids($data);
		$result['content']       = $this->process_export_import_content( $result['content'], 'on_import' );
		$result['page_settings'] = array();

		return $result;
	}
}
